Clang::Diagnostic(3pm)

NAME
Clang::Diagnostic - Clang diagnostic class

VERSION
version 0.09

DESCRIPTION
A "Clang::Diagnostic" represents a diagnostic reported by the compiler.

METHODS

  format( $with_source )
Format the given "Clang::Diagnostic" as string. If $with_source is true, the stringified source location of the diagnostic will be included.

  location( )
Retrieve the location of the given diagnostic. This function returns three values: a string containing the source file name, an integer containing the line number and another integer containing the column number.

AUTHOR
Alessandro Ghedini <alexbio@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2012 Alessandro Ghedini.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.